@import '../utilities/';

/**
 * ----------------------------------------
 * fx-underline
 * ----------------------------------------
 */
.fx-underline {
  @apply relative;
}
.fx-underline::before {
  content: '';
  background-color: var(--line-color, currentColor);
  @apply absolute bottom-0 left-0;
  @apply h-px w-full;
  @apply scale-x-0 origin-bottom-right;
  @apply transition-transform transition-medium transition-ease-out;
}
.fx-underline:not(.active--exact):hover::before,
.fx-underline:not(.active--exact):focus::before,
.fx-underline:not(.active--exact):active::before {
  @apply scale-x-100 origin-bottom-left;
}